Subject: bug#38485: Customizing glyph widths

From: Yuan Fu <[email-masked]>
Date: Wed, 4 Dec 2019 22:57:01 -0500

> I don't think I understand the rationale for using a face.  It sounds
> like a subset of the general case, and why would someone want this
> alignment only for one special face?

What Clément want and what I want are not quite similar. For my purpose, I want my text tables in org mode to be aligned even there is Chinese characters in it. For example, with out alignment (in GUI):

With alignment (in terminal):

However, I generally use variable-pitch everywhere else in a Org file. Because variable-pitch are generally prettier.

> Using a face also means that the same characters from a larger font
> will not be aligned.

For me personally, that’s ok. I can just use a smaller font.

But again, I just want to know if such a feature exists or is easily hackable. If not, I can live without it. Clément’s idea seems doable, though. You just need a local variable that maps glyph’s unicode to the intended width, if I understand him correctly.

Yuan